Bug 44468 - Still can't save App Icons via visual studio
Summary: Still can't save App Icons via visual studio
Status: VERIFIED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: iOS (show other bugs)
Version: 4.2.0 (C8)
Hardware: PC Windows
: --- blocker
Target Milestone: 4.2.1 (C8SR1)
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-09-18 16:45 UTC by bblonchek
Modified: 2016-10-13 18:06 UTC (History)
7 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description bblonchek 2016-09-18 16:45:44 UTC
# Steps to reproduce
Edit info.plist via visual studio
Try to add 120x120 App icon
Icon is dispalyed 
Save info.plist
reopen info.plist
Icon is missing

# Expected behavior


# Actual behavior


# Supplemental info (logs, images, videos)


# Test environment (full version information)
Comment 1 Ben Beckley 2016-09-19 17:20:18 UTC
Reproduced with 4.2.0.680 (c4382f5)

http://screencast.com/t/34vtR6rL

Environment: https://gist.github.com/BenBeckley/65acc7c853b1e996a3c160bae07f81f3
Comment 2 Ben Beckley 2016-10-12 19:11:11 UTC
Reproduction Steps:

1) Start VS
2) Create new iPhone Master Detail app
3) Open Info.plist in editor
4) Go to iPhone Icons
5) Click 120x120 iOS 7 @2x icon holder
6 Select 120x120 image
7) Save (ctrl+s)
8) File > Close Solution
9) Save solution changes
10) File > Recent Projects and Solutions, open project
11) Navigate to iPhone Icons
12) Observe there is no 120x120 image
Comment 3 xamarin-release-manager 2016-10-13 14:59:01 UTC
Fixed in version 4.3.0.36 (master)

Author: Jose Gallardo
Commit: 4c4508abcb738be36ed3113563c8c2fa4dd9dd39 (xamarin/XamarinVS)
Comment 4 xamarin-release-manager 2016-10-13 14:59:04 UTC
Fixed in version 4.2.0.751 (cycle8)

Author: Jose Gallardo
Commit: 66522bce15c505692e4a380569affa2c5754cd9e (xamarin/XamarinVS)
Comment 5 Mohit Kheterpal 2016-10-13 18:06:56 UTC
I have checked this issue and able to reproduce this issue with stable builds and also observed that this issue has been fixed with Cycle 8 and master build.

Master : Xamarin.VisualStudio_4.3.0.36_4c4508abcb738be36ed3113563c8c2fa4dd9dd39.msi
Cycle 8 : Xamarin.VisualStudio_4.2.0.751_66522bce15c505692e4a380569affa2c5754cd9e.msi

Hence, closing this issue by marking it as Verified.

thanks

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 44468 on Developer Community if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: